org.apache.solr.handler.component

## Class HighlightComponent

- java.lang.Object
- - org.apache.solr.handler.component.SearchComponent
  - - org.apache.solr.handler.component.HighlightComponent

- All Implemented Interfaces:
    SolrInfoMBean, NamedListInitializedPlugin, PluginInfoInitialized, SolrCoreAware

      public class HighlightComponent
      extends SearchComponent
      implements PluginInfoInitialized, SolrCoreAware

  TODO!
  Since:
    solr 1.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_NAME`

    - ### Fields inherited from class org.apache.solr.handler.component.SearchComponent

      `standard_components`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HighlightComponent()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finishStage(ResponseBuilder rb)` Called after all responses have been received for this stage.
    `String` | `getDescription()` Simple one or two line description
    `URL[]` | `getDocs()` Documentation URL list.
    `SolrHighlighter` | `getHighlighter()`
    `static SolrHighlighter` | `getHighlighter(SolrCore core)`
    `void` | `handleResponses(ResponseBuilder rb, ShardRequest sreq)` Called after all responses for a single request were received
    `void` | `inform(SolrCore core)`
    `void` | `init(PluginInfo info)`
    `void` | `modifyRequest(ResponseBuilder rb, SearchComponent who, ShardRequest sreq)` Called after another component adds a request
    `void` | `prepare(ResponseBuilder rb)` Prepare the response.
    `void` | `process(ResponseBuilder rb)` Process the request for this component

    - ### Methods inherited from class org.apache.solr.handler.component.SearchComponent

      `distributedProcess, getCategory, getName, getSource, getStatistics, getVersion, init, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_NAME

          public static final String COMPONENT_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HighlightComponent

          public HighlightComponent()

  - ### Method Detail

    - #### getHighlighter

          public static SolrHighlighter getHighlighter(SolrCore core)

    - #### init

          public void init(PluginInfo info)

      Specified by:
        `init` in interface `PluginInfoInitialized`

    - #### prepare

          public void prepare(ResponseBuilder rb)
                       throws IOException

      Description copied from class: `SearchComponent`
      Prepare the response. Guaranteed to be called before any SearchComponent `SearchComponent.process(org.apache.solr.handler.component.ResponseBuilder)` method. Called for every incoming request. The place to do initialization that is request dependent.
      Specified by:
        `prepare` in class `SearchComponent`
      Parameters:
        `rb` - The `ResponseBuilder`
      Throws:
        `IOException` - If there is a low-level I/O error.

    - #### inform

          public void inform(SolrCore core)

      Specified by:
        `inform` in interface `SolrCoreAware`

    - #### process

          public void process(ResponseBuilder rb)
                       throws IOException

      Description copied from class: `SearchComponent`
      Process the request for this component
      Specified by:
        `process` in class `SearchComponent`
      Parameters:
        `rb` - The `ResponseBuilder`
      Throws:
        `IOException` - If there is a low-level I/O error.

    - #### modifyRequest

          public void modifyRequest(ResponseBuilder rb,
                                    SearchComponent who,
                                    ShardRequest sreq)

      Description copied from class: `SearchComponent`
      Called after another component adds a request
      Overrides:
        `modifyRequest` in class `SearchComponent`

    - #### handleResponses

          public void handleResponses(ResponseBuilder rb,
                                      ShardRequest sreq)

      Description copied from class: `SearchComponent`
      Called after all responses for a single request were received
      Overrides:
        `handleResponses` in class `SearchComponent`

    - #### finishStage

          public void finishStage(ResponseBuilder rb)

      Description copied from class: `SearchComponent`
      Called after all responses have been received for this stage. Useful when different requests are sent to each shard.
      Overrides:
        `finishStage` in class `SearchComponent`

    - #### getHighlighter

          public SolrHighlighter getHighlighter()

    - #### getDescription

          public String getDescription()

      Description copied from interface: `SolrInfoMBean`
      Simple one or two line description
      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Specified by:
        `getDescription` in class `SearchComponent`

    - #### getDocs

          public URL[] getDocs()

      Description copied from interface: `SolrInfoMBean`
      Documentation URL list.

      Suggested documentation URLs: Homepage for sponsoring project, FAQ on class usage, Design doc for class, Wiki, bug reporting URL, etc...

      Specified by:
        `getDocs` in interface `SolrInfoMBean`
      Overrides:
        `getDocs` in class `SearchComponent`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.